Subject: bug#42010: closed (Re: bug#42010: 28.0.50; "You should byte-compile Gnus" message for natively compiled gnus.el)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Jun 2020 07:49:02 +0000

Your bug report

#42010: 28.0.50; "You should byte-compile Gnus" message for natively compiled gnus.el

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42010: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42010
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42010: 28.0.50; "You should byte-compile Gnus" message for natively compiled gnus.el
From: Andrea Corallo <[email-masked]>
To: Arthur Miller <[email-masked]>
Cc: [email-masked], Doug Davis <[email-masked]>
Date: Tue, 23 Jun 2020 07:48:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Arthur Miller <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Doug Davis <[email-masked]> writes:
>>
>>> When running `gnus' with a native compiled Emacs build a message is
>>> reported in the minibuffer "You should byte-compile Gnus" and `sit-for'
>>> is called. I'm not sure what check is possible to see if a function is
>>> natively compiled, but perhaps it should be added to this logic in
>>> gnus.el:
>>>
>>>   (unless (byte-code-function-p (symbol-function 'gnus))
>>>     (message "You should byte-compile Gnus")
>>>     (sit-for 2))
>>
>> I'll admint that added to my undenaiable laziness I probably skiped this
>> for so long cause was giving me a tiny satisfaction :)
>>
>> Should be fixed by:
>>
>> 801e19d0ba * lisp/gnus/gnus.el (gnus): Fix a check to handle native
>> compilation.
>>
>> Thanks for the feedback
>>
>>   Andrea
> Just rebuild my Emacs and can confirm it if fixed.
>
> Build time seems to be even faster (on my 67k i7 cpu with -j8 switch).
>
> Awesome, thanks Andrea!

Great, thank you for the testing :)

closing

  Andrea

-- 
[email-masked]

Subject: 28.0.50; "You should byte-compile Gnus" message for natively compiled gnus.el
From: Doug Davis <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jun 2020 16:52:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When running `gnus' with a native compiled Emacs build a message is
reported in the minibuffer "You should byte-compile Gnus" and `sit-for'
is called. I'm not sure what check is possible to see if a function is
natively compiled, but perhaps it should be added to this logic in
gnus.el:

  (unless (byte-code-function-p (symbol-function 'gnus))
    (message "You should byte-compile Gnus")
    (sit-for 2))